Status: Closed Start date: 2015-03-06

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

In the 10/17/13 Member Node Forum meeting, Kevin Webb commented on the usability of the "Only results with data" checkbox.

Kevin:  an observation: on CN.dataone.org/onemercury, the checkbox that says "only results with data"... what about a situation

when the metadata has a link to the data for download?  This result would show up only when the checkbox is unchecked.

- Either DataONE holds the data (related to a metadata document) OR DataONE does not hold the data but there is a link to the data

(for download) in the metadata document (risk there is that there are dead links)

- Maybe make this clearer on ONEMercury - some help text, etc.

- There are other MNs with data in this situation (link to data in metadata) where searches with checkbox checked or not may impact

data discovery/access. 

Request that we look at perhaps adding some rollover help, or further explanation, so that users can make an informed choice in

checking or not checking the "Only results with data" checkbox.  (An education issue??)

Subtasks:

Task # 6873: Change the "Direct access data available" checkbox default to [unchecked] Rejected

History

#1 - 2013-11-14 11:09 - Laura Moyers

This topic discussed at 11/13/13 UT D1 meeting.  Mike Frame suggested we develop mock-ups of different options and present to LT for direction. 

Suzie Allard suggested showing all results but somehow ranking them with the results with D1-downloadable data first in the list.  We talked about

how defaulting the checkbox to unchecked is a desired initial solution, but John Cobb pointed out that that was originally the case and it wasn't

desirable when doing demos and such to have search results with no data (i.e. just metadata records and not data).  We'll need to sit down with

people in original design discussions to sort this out.

#2 - 2015-03-06 22:33 - Laura Moyers

- Status changed from New to In Progress

- % Done changed from 0 to 30

- Assignee changed from Bruce Wilson to Laura Moyers

At the 2/27/15 MN Wranglers meeting, the "Direct access data available" checkbox (formerly known as the "only results with data" checkbox, was

discussed.  In particular, now that we have more MNs who are exposing metadata-only with links to the data either at their repository or elsewhere,

the default of the checkbox to [checked] isn't what we wish to convey.  For example, the SEAD VA serves metadata for content elsewhere (such as

NCED).  With the current default [checked], it would appear to the user searching for SEAD content that there is none, while unchecking the box

includes the content with data access elsewhere (not via DataONE).  

As a solution, we will change the default to [unchecked] on the "Direct access data available" checkbox.  

A follow-on question is, should the checkbox be returned to the main search (ONEMercury) page.  It is likely that changing the default to [unchecked]

and further education for users on what this means in regard to search results would make this question irrelevant.

Further, it was suggested that rather than a binary checkbox, three options should be made available as a filter on search results:

- direct access data available (data downloadable via DataONE)

- data accessible via "additional steps" (data downloadable by following a link to the data-owner's portal, user might have to set up a user account at

the target repository to attain access)
- metadata only

This last filtering option will require more investigation.

#3 - 2015-03-11 17:05 - Laura Moyers

- Estimated time set to 0.00

- Assignee changed from Laura Moyers to Mark Servilla

Question: should we put this in 1.5.1 (nearly done) or 1.2.0, or not assign it to a target and just do it?

#4 - 2015-03-11 17:07 - Laura Moyers

- Assignee changed from Mark Servilla to Laura Moyers

#5 - 2019-04-30 22:27 - Dave Vieglais

- % Done changed from 30 to 100

- Status changed from In Progress to Closed

- Assignee changed from Laura Moyers to Dave Vieglais

Closing with deprecation of ONEMercury
